.gravity-form-main-wrapper {
  max-width: 1216px;
  margin: 0 auto;
  padding-top: 50px;
  padding-left: 10px;
  padding-right: 10px;
}
.gravity-form-main-wrapper .gform-body {
  /*margin-top: 60px;*/
  margin-bottom: 60px;
}
.gravity-form-main-wrapper .gform_title {
  font-weight: 600;
}
.gravity-form-main-wrapper .gform_required_legend {
  display: none;
}
.gravity-form-main-wrapper .gfield label {
  font-weight: 500;
  font-size: 14px;
  color: #444748;
}
.gravity-form-main-wrapper .gfield_required {
  color: #444748;
}
.gravity-form-main-wrapper .renewable-energy-source-element {
  margin-top: 40px !important;
}
.gravity-form-main-wrapper .legal-representative-title,
.gravity-form-main-wrapper .supply-details-title,
.gravity-form-main-wrapper .contract-agreement-tariff-title-element,
.gravity-form-main-wrapper .contract-agreement-final-declaration {
  margin-top: 40px !important;
}
.gravity-form-main-wrapper .contract-agreement-inner-guarantees {
  padding-left: 30px;
}
.gravity-form-main-wrapper .ginput_container_text input[type="text"],
.gravity-form-main-wrapper .ginput_container_email input[type="email"],
.gravity-form-main-wrapper .ginput_container_date input[type="text"],
.gravity-form-main-wrapper .ginput_container_phone input[type="tel"],
.gravity-form-main-wrapper .gfield--input-type-select select,
.gravity-form-main-wrapper #custom-street-wrapper select {
  height: 41px;
  border: 1px solid #b3b6b7;
  border-radius: 6px;
  width: 100%;
}
.gravity-form-main-wrapper #custom-street-wrapper label {
  margin-bottom: 7px;
}
.gravity-form-main-wrapper #custom-street-wrapper.gfield_error select {
  border: 1px solid #dc3232; /* GF red border */
  background-color: #fff0f0; /* optional slight red background */
}
.gravity-form-main-wrapper #custom-street-wrapper .validation_message {
  color: #dc3232;
  font-size: 13px;
  margin-top: 4px;
}
.gravity-form-main-wrapper button#lookup-streets {
  margin-top: 30px;
  background-color: #181a1b !important;
  border-radius: 50px !important;
  outline: none;
}
.gravity-form-main-wrapper .gfield--type-textarea textarea {
  border: 1px solid #b3b6b7;
  border-radius: 6px;
}
.gravity-form-main-wrapper .gsection_title {
  font-weight: 500;
  font-size: 22px;
  color: #181a1b;
}
.gravity-form-main-wrapper .gfield--type-section {
  border: none;
  border-block-end: none !important;
}
.gravity-form-main-wrapper .gf_progressbar_wrapper {
  margin-top: 40px;
}
.gravity-form-main-wrapper .gf_progressbar_percentage {
  background-color: #007aad !important;
}
.gravity-form-main-wrapper .gform_fields .gfield--type-section {
  margin-bottom: -20px;
}
.gravity-form-main-wrapper .gform-theme--framework input[type="radio"] {
  outline: none;
}
.gravity-form-main-wrapper
  .gform-theme--framework
  input[type="radio"]:where(
    :not(.gform-theme__disable):not(.gform-theme__disable *):not(
        .gform-theme__disable-framework
      ):not(.gform-theme__disable-framework *)
  )::before {
  background-color: #007aad;
}
.gravity-form-main-wrapper .download-instructions {
  font-size: 14px;
  color: #444748;
}
.gravity-form-main-wrapper .download-pdf-wrapper {
  border-bottom: 1px solid #d9d9d9;
  padding-bottom: 30px;
}
.gravity-form-main-wrapper .download-button-wrapper a {
  background-color: #007aad !important;
  border-radius: 50px !important;
  outline: none !important;
  padding-left: 20px !important;
  padding-right: 20px !important;
  font-size: 14px !important;
}
.gravity-form-main-wrapper .gform_page_footer .button {
  background-color: #181a1b !important;
  border-radius: 50px !important;
  outline: none;
}
.gravity-form-main-wrapper .gform_footer .button {
  background-color: #181a1b !important;
  border-radius: 50px !important;
  outline: none;
}
.gravity-form-main-wrapper .gform_footer {
  margin-bottom: 50px;
}
.gravity-form-main-wrapper .gf_cylogin_locked input,
.gravity-form-main-wrapper .gf_cylogin_locked select {
    background-color: #e7e7e7 !important;
    pointer-events: none;
}
.gravity-form-main-wrapper .custom-upload label {
  font-size: 14px;
  color: #444748;
  font-weight: 500;
}
.gravity-form-main-wrapper .custom-upload .gform_fileupload_rules {
  font-size: 14px;
  color: #6d7274;
  font-weight: 400;
}
.gravity-form-main-wrapper .custom-upload .gf-upload-btn {
  color: #181a1b !important;
  font-size: 14px !important;
  font-weight: 500 !important;
  border: 1px solid #e1e2e2 !important;
  border-radius: 50px !important;
  background-color: white !important;
  width: 155px !important;
  height: 40px !important;
  padding-top: 12px !important;
  margin-top: 10px !important;
}
.gravity-form-main-wrapper .gform_page_footer .gform_previous_button {
  background-color: #edeeee !important;
  color: #181a1b !important;
  border: none !important;
}
.gravity-form-main-wrapper .action-required-submit-button {
  background-color: #181a1b !important;
  color: white;
  border-radius: 50px !important;
  outline: none;
  margin-top: 30px;
  margin-bottom: 30px;
  padding: 5px;
  padding-left: 15px;
  font-size: 15px !important;
  padding-right: 15px;
  height: 38px;
  border: none;
}
.gravity-form-main-wrapper .gform_page_footer {
  padding-top: 20px;
}
.gravity-form-main-wrapper .gform_confirmation_message {
  margin-bottom: 60px;
}
.page-id-4737 .gravity-form-main-wrapper .gform_confirmation_message {
  margin-bottom: 250px;
}
.gravity-form-main-wrapper #gform_wrapper_11 .gform_heading .gform_description {
  display: none;
}
.gravity-form-main-wrapper .normal-form-custom-text {
  font-size: 14px !important;
}
.gravity-form-main-wrapper .gform_title {
  font-size: 30px;
}
@media (max-width: 991px) {
  .gravity-form-main-wrapper .gform_title {
    font-size: 26px;
  }
}
@media (max-width: 767px) {
  .gravity-form-main-wrapper .gform_title {
    font-size: 22px;
  }
}
@media (max-width: 480px) {
  .gravity-form-main-wrapper .gform_title {
    font-size: 18px;
  }
}
/* Hiding Cookie Yes button in specific pages */
.page-id-1473 .cky-consent-container,
.page-id-1473 .cky-btn-revisit-wrapper,
.page-id-1661 .cky-consent-container,
.page-id-1661 .cky-btn-revisit-wrapper {
    display: none !important;                                                                                                                                                                         
  }       
.gravity-form-main-wrapper .gfield_disabled input,
.gravity-form-main-wrapper .gfield_disabled select,
.gravity-form-main-wrapper .gfield_disabled textarea {
  pointer-events: none;
  background-color: #eee !important;
}
.gravity-form-main-wrapper .gfield_list_icons .add_list_item,
.gravity-form-main-wrapper .gfield_list_icons .delete_list_item {
  background-color: #007aad !important;
  outline: none !important;
  border: none !important;
}
.gravity-form-main-wrapper #fetch-premises-address-btn {
    padding: 10px 20px;
    font-weight: 500;
    color: #fff;
    background: #181A1B !important;
    margin-top: 10px;
    outline: none !important;
    border: none !important;
}
.gravity-form-main-wrapper #fetch-premises-spinner {
  margin-top: 25px;
  font-size: 12px;
}
.gravity-form-main-wrapper #fetch-premises-result {
    font-size: 12px;
}
.gravity-form-main-wrapper .written-consent-in-transfer {
    margin-top: 40px;
}
.gravity-form-main-wrapper .written-consent-in-transfer-samples {
    margin-bottom: 40px;
}
.gravity-form-main-wrapper .written-consent-in-transfer-samples h6,
.gravity-form-main-wrapper .guarantee-documents-samples h6 {
    font-size: 14px;
}
.gravity-form-main-wrapper .fetch-supply-details-wrapper button {
  border: none !important;
  margin-top: 20px !important;
}
.gravity-form-main-wrapper .fetch-supply-details-wrapper #fetch-supply-spinner {
  margin-top: 30px;
}
.gravity-form-main-wrapper .fetch-supply-details-wrapper #fetch-supply-result {
  font-size: 14px;
}
.gravity-form-main-wrapper .fetch-supply-details-wrapper #fetch-supply-result a {
  color: red;
  text-decoration: underline;
}
.gravity-form-main-wrapper #field_20_17 input,
.gravity-form-main-wrapper #field_20_20 input,
.gravity-form-main-wrapper #field_20_21 input,
.gravity-form-main-wrapper #field_21_17 input,
.gravity-form-main-wrapper #field_21_20 input,
.gravity-form-main-wrapper #field_21_21 input {
  background-color: #efefef;
}
.gravity-form-main-wrapper .supply-contact-indicative-text {
    font-size: 14px;
    font-weight: bold;
    margin-bottom: 20px;
}

#gf_16 {
  margin-top: 20px;
}
#gform_16_validation_container {
  display: none;
}
#gform_16 .gform-required-notice {
  display: none !important;
}
.gravity-form-main-wrapper #field_20_70,
.gravity-form-main-wrapper #field_13_81,
.gravity-form-main-wrapper #field_22_72,
.gravity-form-main-wrapper #field_21_72 {
  font-size: 14px;
}

/* Customization for file upload fields */
.gravity-form-main-wrapper
  .gform_wrapper
  .gfield.custom-upload
  input[type="file"] {
  position: absolute;
  left: -9999px;
}
.gravity-form-main-wrapper
  .gform_wrapper
  .gfield.custom-upload
  .gf-upload-container {
  display: inline-flex;
  align-items: center;
  gap: 15px;
}
.gravity-form-main-wrapper .gform_wrapper .gfield.custom-upload .gf-upload-btn {
  background: #0073e6;
  color: #fff;
  padding: 6px 12px;
  border-radius: 4px;
  cursor: pointer;
  font-size: 14px;
  text-align: center;
}
.gravity-form-main-wrapper
  .gform_wrapper
  .gfield.custom-upload
  .gf-upload-filename {
  color: #444748;
  font-size: 14px;
  font-weight: 500;
  white-space: nowrap;
  margin-top: 10px;
}
.gravity-form-main-wrapper
  .gform_wrapper
  .gfield.custom-upload
  .gf-upload-remove {
  color: #dc3232;
  font-size: 18px;
  font-weight: bold;
  cursor: pointer;
  margin-left: 0;
  margin-top: 12px;
  padding: 0 6px;
  line-height: 1;
  z-index: 1000;
  vertical-align: middle;
}
.gravity-form-main-wrapper
  .gform_wrapper
  .gfield.custom-upload
  .gf-upload-remove:hover {
  color: #a00;
}
.gravity-form-main-wrapper
  .gform_fileupload_multifile
  .gform_button_select_files {
  background-color: black !important;
  border-radius: 50px !important;
  outline: none !important;
}
.gravity-form-main-wrapper .gform_drop_area::before {
  color: black !important;
}
.gravity-form-main-wrapper .gform_button {
  outline: none !important;
}
.gravity-form-main-wrapper #input_custom_1 {
  opacity: 0;
  position: absolute;
  z-index: -1;
  width: 0;
  height: 0;
}
.gravity-form-main-wrapper .form-action-required-custom-upload {
  margin-top: 00px;
}
.gravity-form-main-wrapper .form-action-required-custom-upload .gf-upload-btn {
  height: 40px !important;
  display: inline-block;
  cursor: pointer;
  text-align: center;
  padding-top: 8px !important;
}
.gravity-form-main-wrapper
  .form-action-required-custom-upload
  .gf-upload-filename {
  padding-left: 10px;
}
.gravity-form-main-wrapper .supply-contract-custom-radio-title {
  font-size: 14px;
  text-decoration: underline;
  margin-top: 15px;
}
.gravity-form-main-wrapper input,
.gravity-form-main-wrapper select,
.gravity-form-main-wrapper textarea {
  outline: none !important;
}

/* Mobile Application Version of E-Charge Form */
.page-id-692 .top-bar,
.page-id-692 header,
.page-id-692 footer,
.page-id-692 .otgs-development-site-front-end,
.page-id-692 .wpml-ls-statics-footer {
  display: none;
}

/* Guest Payment */
.guest-payment-wrapper {
  max-width: 50%;
  display: block;
}
.guest-payment-wrapper input[type="text"] {
  width: 100%;
  height: 41px;
  border: 1px solid #b3b6b7;
  border-radius: 6px;
  padding-left: 10px;
  margin-top: 20px;
  margin-bottom: 10px;
}
.guest-payment-wrapper input[type="text"].error {
  border-color: #f04438 !important;
}
.guest-payment-wrapper .error-message {
  color: #f04438;
  margin-top: 10px;
  font-size: 14px;
}
.guest-payment-wrapper .error-message-1,
.guest-payment-wrapper .error-message-2,
.guest-payment-wrapper .error-message-3,
.guest-payment-wrapper .error-message-4 {
  display: none;
}
.guest-payment-wrapper button {
  color: #181a1b !important;
  font-size: 14px !important;
  font-weight: 500 !important;
  border: 1px solid #edeeee !important;
  border-radius: 50px !important;
  background-color: #edeeee !important;
  width: 120px !important;
  height: 40px;
  padding-top: 0px;
  margin-top: 10px;
  margin-bottom: 20px;
  outline: none !important;
}
#guest-payment-account-information-container {
  display: none;
  margin-top: 20px;
  margin-bottom: 50px;
}
#guest-payment-account-information-container #guest-payment-pay-btn {
  background-color: #181a1b !important;
  color: white !important;
  border-radius: 50px !important;
  outline: none;
  margin-top: 50px;
  margin-bottom: 30px;
  padding: 5px;
  padding-left: 15px;
  font-size: 15px !important;
  padding-right: 15px;
  height: 42px;
  border: none;
}
#guest-payment-account-information-container .customer-info-row {
  border-bottom: 1px solid #cccccc;
  font-size: 16px;
  min-height: 35px;
  margin-top: 10px;
}
#guest-payment-account-information-container .customer-info-row .custom-value {
  font-family: monospace;
}
#guest-payment-account-information-container .customer-before-payment-text {
  margin-top: 30px;
}
#gform_5 .gf_progressbar .gf_progressbar_percentage,
#gform_15 .gf_progressbar .gf_progressbar_percentage {
  background-color: #ad1aac !important;
}
.page-id-2139 .page-hero__title,
.page-id-2141 .page-hero__title,
.page-id-1497 .page-hero__title,
.page-id-616 .page-hero__title {
  margin-top: 40px;
  margin-bottom: 40px;
}
.gravity-form-main-wrapper #gform_wrapper_5 .download-button-wrapper a,
.gravity-form-main-wrapper #gform_wrapper_15 .download-button-wrapper a {
  background-color: #ad1aac !important;
}
.gravity-form-main-wrapper .gfield--type-consent {
  margin-top: 30px;
}

/* Required fields notice */
.gravity-form-main-wrapper .gform-required-notice {
  font-size: 14px;
  color: #6d7274;
  margin-bottom: 20px;
}
